Bug 1577662 - jabref requires jempbox which cannot be provided
Summary: jabref requires jempbox which cannot be provided
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: jabref
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-13 20:08 UTC by Richard Kalhöfer
Modified: 2019-05-28 19:22 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-05-28 19:22:10 UTC


Attachments (Terms of Use)

Description Richard Kalhöfer 2018-05-13 20:08:35 UTC
dnf update gives:

 Problem 1: package jabref-2.10-5.fc28.noarch requires jempbox, but none of the providers can be installed
  - package pdfbox-2.0.9-2.fc28.noarch obsoletes jempbox < 2.0.9-2.fc28 provided by jempbox-1.8.13-4.fc28.noarch
  - cannot install the best update candidate for package jempbox-1.8.13-4.fc28.noarch
  - cannot install the best update candidate for package jabref-2.10-5.fc28.noarch
 Problem 2: problem with installed package jabref-2.10-5.fc28.noarch
  - package jabref-2.10-5.fc28.noarch requires jempbox, but none of the providers can be installed
  - package pdfbox-2.0.9-2.fc28.noarch obsoletes jempbox < 2.0.9-2.fc28 provided by jempbox-1.8.13-4.fc28.noarch
  - cannot install the best update candidate for package pdfbox-1.8.13-4.fc28.noarch

Comment 1 Ding-Yi Chen 2018-05-17 01:03:12 UTC
Try running dnf update like:

dnf update --best --allowerasing


--best for using the best available version
--allowerasing for allowing removal of obsoleted packages.

Comment 2 Richard Kalhöfer 2018-05-18 12:26:17 UTC
This isn't a solution, because it just upgrades fontbox and pdfbox while removing jempbox and jabref as jabref depends on jempbox which is obsoleted by the new pdfbox package.

Comment 3 Ding-Yi Chen 2018-05-22 05:12:27 UTC
Actually, in Fedora 28, they come from same package but different version:

# dnf repoquery -i jempbox
Name         : jempbox
Version      : 1.8.13
Release      : 4.fc28
...
Source       : pdfbox-1.8.13-4.fc28.src.rpm
...
URL          : http://pdfbox.apache.org/
...



# dnf repoquery -i pdf
Name         : pdfbox
Version      : 2.0.9
Release      : 2.fc28
...
Source       : pdfbox-2.0.9-2.fc28.src.rpm
...
URL          : http://pdfbox.apache.org/
...

Name         : pdfbox
Version      : 1.8.13
Release      : 4.fc28
...
Source       : pdfbox-1.8.13-4.fc28.src.rpm
...
URL          : http://pdfbox.apache.org/
...


In my case, I install jabref as new package (fresh install), and jempbox is installed as dependency.

Comment 4 Richard Kalhöfer 2018-05-22 22:05:17 UTC
If I remove the packages. then reinstall them via dnf install jabref and the do a dnf update, I still prints the problems listed above. But JabRef works fine so I think I can live with it.

Comment 5 bob mckay 2018-07-10 00:55:50 UTC
(In reply to Richard Kalhöfer from comment #4)
> If I remove the packages. then reinstall them via dnf install jabref and the
> do a dnf update, I still prints the problems listed above. But JabRef works
> fine so I think I can live with it.

I just hit this too. The implication seems to be that everyone who has jabref installed is going to be getting these error messages. Since no-one else is reporting it, it suggests they are ignoring the error messages. I can live with it too. But I'm pretty sure that encouraging users to ignore dnf error messages is, long term, a counter-productive policy.

Comment 6 bob mckay 2018-07-10 01:17:02 UTC
Checking the jabref mailing lists, it looks like the dependency of jabref on jempbox should be removed for 2.0:
https://github.com/JabRef/jabref/pull/1096
    Best Wishes
    Bob

Comment 9 Ben Cotton 2019-05-02 19:22:10 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2019-05-02 20:41:04 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Ting-Wei Lan 2019-05-06 13:07:53 UTC
It is still broken on Fedora 30.

Comment 12 Ben Cotton 2019-05-28 19:22:10 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.